GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CPLHTTPResult Struct Reference

`#include <cpl_http.h>`

## Public Attributes
int | nStatus
char * | pszContentType
char * | pszErrBuf
int | nDataLen
int | nDataAlloc
GByte * | pabyData
char ** | papszHeaders
int | nMimePartCount
CPLMimePart * | pasMimePart

## Detailed Description

Describe the result of a CPLHTTPFetch() call

## Member Data Documentation

int CPLHTTPResult::nDataAlloc

Allocated size of the pabyData buffer

int CPLHTTPResult::nDataLen

Length of the pabyData buffer

int CPLHTTPResult::nMimePartCount

Number of parts in a multipart message

int CPLHTTPResult::nStatus

cURL error code : 0=success, non-zero if request failed

GByte* CPLHTTPResult::pabyData

Buffer with downloaded data

char** CPLHTTPResult::papszHeaders

Headers returned

CPLMimePart* CPLHTTPResult::pasMimePart

Array of parts (resolved by CPLHTTPParseMultipartMime())

char* CPLHTTPResult::pszContentType

Content-Type of the response

char* CPLHTTPResult::pszErrBuf

Error message from curl, or NULL

The documentation for this struct was generated from the following file:

- cpl_http.h

Generated for GDAL by 1.8.9.1.